import * as util from './util/utils';
import { setBaseHeadParams } from './util/xhr';
import { xhr_get, xhr_post, xhr_put, xhr_del } from './util/xhr';
import OpacityBanner from "@/widget/OpacityBanner.vue";
/**
 * 暴露各个组件
 */
declare const _default: {
    /**
     * 设置 API 统一前缀
     *
     * @param perfix API 统一前缀
     */
    setApiBaseUrl(perfix: string): void;
    /**
     * 获取 API 统一前缀
     *
     * @returns API 统一前缀
     */
    getApiBaseUrl(): string;
    setBaseHeadParams: typeof setBaseHeadParams;
    util: typeof util;
    xhr: {
        xhr_get: typeof xhr_get;
        xhr_post: typeof xhr_post;
        xhr_put: typeof xhr_put;
        xhr_del: typeof xhr_del;
    };
    OpacityBanner: import("vue").VueConstructor<OpacityBanner<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => OpacityBanner<Record<string, any>, Record<string, any>, never, never, any>>>;
    ProcessLine: import("vue").VueConstructor<OpacityBanner<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => OpacityBanner<Record<string, any>, Record<string, any>, never, never, any>>>;
    AccordionMenu: import("vue").VueConstructor<OpacityBanner<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => OpacityBanner<Record<string, any>, Record<string, any>, never, never, any>>>;
    Expander: import("vue").VueConstructor<OpacityBanner<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => OpacityBanner<Record<string, any>, Record<string, any>, never, never, any>>>;
    Article: import("vue").VueConstructor<OpacityBanner<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => OpacityBanner<Record<string, any>, Record<string, any>, never, never, any>>>;
    HtmlEditor: import("vue").VueConstructor<OpacityBanner<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => OpacityBanner<Record<string, any>, Record<string, any>, never, never, any>>>;
    FileUploader: import("vue").VueConstructor<OpacityBanner<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => OpacityBanner<Record<string, any>, Record<string, any>, never, never, any>>>;
    Calendar: import("vue").VueConstructor<OpacityBanner<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => OpacityBanner<Record<string, any>, Record<string, any>, never, never, any>>>;
};
export default _default;
