"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.delCookie = exports.setCookie = exports.getCookie = void 0;
/**
 * 获取某个 Cookie
 *
 * @param name 键名称
 * @returns 值
 */
function getCookie(name) {
    let arr, reg = new RegExp("(^| )" + name + "=([^;]*)(;|$)");
    if (arr = document.cookie.match(reg))
        return unescape(arr[2]);
    else
        return null;
}
exports.getCookie = getCookie;
/**
 * 设置某个 Cookie
 *
 * @param name  键名称
 * @param value 值
 */
function setCookie(name, value) {
    let days = 2, exp = new Date();
    exp.setTime(exp.getTime() + days * 24 * 60 * 60 * 1000);
    // @ts-ignore
    document.cookie = name + "=" + escape(value) + ";path=/;expires=" + exp.toGMTString();
}
exports.setCookie = setCookie;
/**
 * 清空 Cookie
 */
function delCookie() {
    let keys = document.cookie.match(/[^ =;]+(?==)/g);
    if (keys) {
        let date = new Date(0).toUTCString();
        for (let i = keys.length; i--;) {
            document.cookie = keys[i] + '=0;path=/;expires=' + date; // 清除当前域名下的,例如：m.ratingdog.cn
            document.cookie = keys[i] + '=0;path=/;domain=' + document.domain + ';expires=' + date; // 清除当前域名下的，例如 .m.ratingdog.cn
            document.cookie = keys[i] + '=0;path=/;domain=' + location.host + ';expires=' + date; // 清除一级域名下的或指定的，例如 .ratingdog.cn
        }
    }
}
exports.delCookie = delCookie;
//# sourceMappingURL=cookies.js.map