declare const _default: {
    props: {
        action: {
            type: StringConstructor;
            required: boolean;
        };
        limitSize: {
            type: NumberConstructor;
            default: number;
        };
        limitFileType: StringConstructor;
        isImgUpload: BooleanConstructor;
        isShowBtn: {
            type: BooleanConstructor;
            default: boolean;
        };
        accpectFileType: {
            type: StringConstructor;
            default(): string;
        };
        buttonBottom: BooleanConstructor;
        radomId: {
            type: NumberConstructor;
            default(): number;
        };
    };
    data(): {
        model: {
            children: any[];
        };
        imgSrc: string;
        open: boolean;
        allowAddNode: boolean;
        fileName: string;
        fileSize: number;
        progress: number;
        errMsg: string;
        newlyId: string;
        fileObj: any;
    };
    methods: {
        /**
         * 选择文件后触发的事件
         *
         * @param ev
         */
        onUploadInputChange(ev: Event): void;
        /**
         * 返回 File 对象，在表单混合上传时候有用
         * @returns
         */
        getFileObj(): File;
        onDrop(ev: DragEvent): void;
        onFileGet(files: FileList): void;
        /**
         * 执行上传
         *
         * @param this
         */
        doUpload(): void;
        changeByte: typeof changeByte;
    };
};
export default _default;
/**
 * 字节 Byte 转化成 KB，MB，GB
 *
 * @param limit
 */
declare function changeByte(limit: number): string;
