declare const _default: {
    props: {
        vModel: StringConstructor;
        uploadImageActionUrl: StringConstructor;
        isIonicons: BooleanConstructor;
    };
    data(): any;
    mounted(): void;
    methods: {
        /**
         * 输入 HTML 内容
         *
         * @param html
         */
        setIframeBody(html: string): void;
        /**
        * 获取内容的 HTML
        *
        * @param cleanWord  是否清理冗余标签
        * @param encode     是否 URL 编码
        */
        getValue(cleanWord: boolean, encode: boolean): string;
        createLink(): void;
        insertImage(): void;
        /**
         * 清理冗余 HTML
         */
        cleanHTML(): void;
        saveRemoteImage2Local(): void;
        /**
         * 当工具条点击的时候触发
         *
         * @param ev
         */
        onCmdClk(ev: Event): void;
        /**
         * 通过 document.execCommand() 来操纵可编辑内容区域的元素
         *
         * @param type 命令的名称
         * @param para 一些命令（例如 insertImage）需要额外的参数（insertImage 需要提供插入 image 的 url），默认为 null
         */
        format(type: string, para?: string): void;
        /**
         * 选择字号大小
         *
         * @param ev
         */
        onFontsizeChoserClk(ev: Event): void;
        /**
         * 选择字体
         *
         * @param ev
         */
        onFontfamilyChoserClk(ev: Event): void;
        /**
         * 创建颜色选择器
         */
        createColorPickerHTML(): string;
    };
    watch: {
        vModel(newHtml: string, oldHtml: string): void;
        /**
         * 切換 HTML 編輯 or 可視化編輯
         *
         * @param n
         */
        isShowCode(n: boolean): void;
    };
};
export default _default;
