/**
 * 日期选择器
 */
declare const _default: {
    props: {
        showTime: BooleanConstructor;
    };
    data(): {
        date: Date;
        year: number;
        month: number;
        day: number;
    };
    mounted(): void;
    watch: {
        date(): void;
    };
    methods: {
        /**
         * 画日历
         */
        render(): void;
        /**
         * 获取指定的日期
         *
         * @param dateType
         * @param month
         */
        getDate(dateType: 'preMonth' | 'nextMonth' | 'setMonth' | 'preYear' | 'nextYear', month: number): void;
        /**
         *
         *
         * @param querySelectoreven
         */
        setMonth(ev: Event): void;
        /**
         * 获取空白的非上月天数 + 当月天数
         *
         * @param this
         */
        getDateArr(): number[];
        /**
         * 获取日期
         *
         * @param event
         */
        pickDay(ev: Event): string;
        /**
         *
         * @param event
         */
        pickupTime(event: Event): void;
    };
};
export default _default;
