/**
 * 错误的元素
 */
interface ErrorElement {
    /**
     * DOM 元素
     */
    el: HTMLFormControl;
    /**
     * 错误的讯息
     */
    msg: string;
}
/**
 * 通常是表单里面的 input 元素，但是 ts 没有对应的类型
 */
export interface HTMLFormControl extends HTMLElement {
    type: string;
    disabled: boolean;
    validity: ValidityState;
    name: string;
    value: string;
    form: HTMLFormElement;
}
/**
 * 表单验证器
 */
export declare class Validator {
    constructor(el: HTMLFormElement);
    /**
     * 表单元素
     */
    private el;
    private errorElements;
    /**
     * 对每一个表单元素监听事件，一失去焦点就触发表单验证
     */
    private checkEveryField;
    /**
     *
     * @param err
     */
    private showError;
    /**
     * 移除所有的错误信息
     *
     * @param el
     */
    private removeError;
    /**
     * 是否忽略的表单元素
     *
     * @param el
     */
    private static isIgnoreEl;
    /**
     * 验证字段
     *
     * @param field 表单字段元素
     * @returns 若验证通过返回 null，否则返回 ErrorElement
     */
    static check(field: HTMLFormControl): ErrorElement | null;
    /**
     * 是否通过验证
     *
     * @param form
     */
    static onSubmit(form: HTMLFormElement): boolean;
}
export {};
